import request from '@/utils/request';

/*  费用申请  */


// 列表
export async function invoiceApplyPageListAPI(data) {
  let par = new URLSearchParams(data);
  const res = await request.get(`/eom/fininvoiceapply/page?` + par, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// 新增
export async function invoiceApplySaveAPI(data) {
  const res = await request.post(`/eom/fininvoiceapply/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 编辑
export async function invoiceApplyUpdateAPI(data) {
  const res = await request.put(`/eom/fininvoiceapply/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 信息
export async function  invoiceApplyInfoAPI(id) {
  const res = await request.get(`/eom/fininvoiceapply/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 删除
export async function invoiceApplyRemoveAPI(data) {
  const res = await request.delete('/eom/fininvoiceapply/delete', {data});
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 提交-开启流程
export async function invoiceApplySubmit(data) {
  const res = await request.post('/bpm/finInvoiceApply/submit', data);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
